Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 2833733002: Avoid firing load events on style elements if there is no listeners for that (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 2 days ago by hayato
Modified:
4 days, 13 hours ago
CC:
blink-reviews, blink-reviews-dom_chromium.org, blink-reviews-frames_chromium.org, blink-reviews-html_chromium.org, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, rwlbuis, sof
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Avoid firing load events on style elements if there is no listeners for that This could save 10-20ms in the case (with ShadowRoot) of the bug 699838. See bug 713562 for details. We can do the similar technique for load events on img elements. That can be done as another CL. BUG=367276 Review-Url: https://codereview.chromium.org/2833733002 Cr-Commit-Position: refs/heads/master@{#466863} Committed: https://chromium.googlesource.com/chromium/src/+/bbd49ad1a5a9d48eda803b3d77ea765ca7748cff

Patch Set 1 #

Patch Set 2 : try #

Patch Set 3 : try #

Patch Set 4 : fix style #

Patch Set 5 : fix style #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -10 lines) Patch
M third_party/WebKit/Source/core/dom/Document.h View 1 2 3 4 1 chunk +4 lines, -3 lines 2 comments Download
M third_party/WebKit/Source/core/dom/Document.cpp View 1 2 3 4 2 chunks +11 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/Node.cpp View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/frame/LocalDOMWindow.cpp View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/html/HTMLStyleElement.cpp View 1 2 1 chunk +7 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 35 (26 generated)
hayato
try
1 week, 2 days ago (2017-04-20 11:26:02 UTC) #5
hayato
try
1 week, 1 day ago (2017-04-21 04:58:31 UTC) #10
hayato
fix style
5 days, 9 hours ago (2017-04-24 06:12:55 UTC) #19
hayato
fix style
5 days, 9 hours ago (2017-04-24 06:22:45 UTC) #22
hayato
PTAL
5 days, 9 hours ago (2017-04-24 06:26:01 UTC) #26
unavailable_until_may_8
lgtm https://codereview.chromium.org/2833733002/diff/80001/third_party/WebKit/Source/core/dom/Document.h File third_party/WebKit/Source/core/dom/Document.h (right): https://codereview.chromium.org/2833733002/diff/80001/third_party/WebKit/Source/core/dom/Document.h#newcode796 third_party/WebKit/Source/core/dom/Document.h:796: // 4 bits remaining Oh, this enum wasn't ...
4 days, 13 hours ago (2017-04-25 01:36:32 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2833733002/80001
4 days, 13 hours ago (2017-04-25 01:39:58 UTC) #31
hayato
https://codereview.chromium.org/2833733002/diff/80001/third_party/WebKit/Source/core/dom/Document.h File third_party/WebKit/Source/core/dom/Document.h (right): https://codereview.chromium.org/2833733002/diff/80001/third_party/WebKit/Source/core/dom/Document.h#newcode796 third_party/WebKit/Source/core/dom/Document.h:796: // 4 bits remaining On 2017/04/25 at 01:36:32, tkent ...
4 days, 13 hours ago (2017-04-25 01:40:13 UTC) #32
commit-bot: I haz the power
4 days, 13 hours ago (2017-04-25 01:44:17 UTC) #35
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/bbd49ad1a5a9d48eda803b3d77ea...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46